Bug 22494 - Implement media features for animation/transforms/transitions
Summary: Implement media features for animation/transforms/transitions
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P3 Normal
Assignee: Dean Jackson
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2008-11-25 13:49 PST by Dean Jackson
Modified: 2009-03-02 11:51 PST (History)
2 users (show)

See Also:


Attachments
Patch + testcases (14.16 KB, patch)
2008-12-19 13:30 PST, Dean Jackson
hyatt: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dean Jackson 2008-11-25 13:49:14 PST
Implement the new media features found in 
http://webkit.org/specs/MediaQueriesExtensions.html
Comment 1 Dean Jackson 2008-11-25 13:49:40 PST
<rdar://problem/6401013>
Comment 2 Dean Jackson 2008-12-19 13:30:56 PST
Created attachment 26154 [details]
Patch + testcases
Comment 3 Dave Hyatt 2009-01-06 13:06:13 PST
Comment on attachment 26154 [details]
Patch + testcases

I'm going ahead and giving this r+, but the names need to be prefaced with -webkit- since they are non-standard extensions.
Comment 4 Dean Jackson 2009-01-06 14:20:08 PST
Added the -webkit- prefix.

Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	LayoutTests/ChangeLog
	A	LayoutTests/fast/media/mq-animation.html
	A	LayoutTests/fast/media/mq-transform-01.html
	A	LayoutTests/fast/media/mq-transform-02.html
	A	LayoutTests/fast/media/mq-transform-03.html
	A	LayoutTests/fast/media/mq-transform-04.html
	A	LayoutTests/fast/media/mq-transition.html
	A	LayoutTests/platform/mac/fast/media/mq-animation-expected.txt
	A	LayoutTests/platform/mac/fast/media/mq-transform-01-expected.txt
	A	LayoutTests/platform/mac/fast/media/mq-transform-02-expected.txt
	A	LayoutTests/platform/mac/fast/media/mq-transform-03-expected.txt
	A	LayoutTests/platform/mac/fast/media/mq-transform-04-expected.txt
	A	LayoutTests/platform/mac/fast/media/mq-transition-expected.txt
	M	WebCore/ChangeLog
	M	WebCore/css/MediaFeatureNames.h
	M	WebCore/css/MediaQueryEvaluator.cpp
Committed r39663